from importlib.resources import files, as_file
from os import path

def get_resource_path_from(module: str, rel_path: str) -> str:
    with as_file(files(module)) as file:
        p = path.join(file, rel_path)
    return p

def get_resource_path(rel_path: str) -> str:
    """
    Convenience function to get the path to a resource file from this packages resource directory
    Parameters
    ----------
    rel_path
        Path of the file relative to cpdctrl_gui/resources

    Returns
    -------
    str
        Absolute path to the file
    """
    return get_resource_path_from("cpdctrl_gui.resources", rel_path)
