# CPD User Guide
## Changing the sample
1. Stop the turbopump:
   1. Press the stop button on the control panel
   2. Close the valve between pump and chamber (on top of the turbo pump), by screwing it into the pump
2. Ventilate the chamber
   1. Open the gate valve
   2. Carefully open the needle valve (usually less than 1/8 turn)
   3. When the chamber can be moved, close both valves again
3. Take off the chamber
   1. Make some space to put the chamber (mind the grease on the bottom edge)
   2. Carefully lift the chamber. Good places to grab it are the tubing on the left and the right bottom edge.  
      ***Caution***: The tube connecting the chamber with the pump will exert a force to the right!  
      **Make sure you do not crash the chamber into the sample tray!**
4. Move the sample away from the gold mesh
   1. Move the tray fully down by turning the upper micrometer screw *counterclockwise*
   2. Move the tray fully to the left using the larger micrometer screw
   3. Loosen the screw on the clamp holding the sample in place and remove the sample
5. Prepare the new sample
   1. Put the sample on the tray and place the clamp on it.
   2. Tighten the clamp screw (you might need to grab the nut on the bottom side)
   3. Move the tray in x-position using the large micrometer screw.  
      The gold mesh should be well aligned with the sample surface 
   4. Carefully move the tray up by turning the small micrometer screw *clockwise*.
      Leave about half a millimeter of space between the sample and the gold mesh  
      **Do not crash the sample into the gold mesh!**
6. Put the chamber back on
   1. Put the chamber back on and align it on the two posts on the bottom and right
   2. Check the backside to make sure that no cables are sticking out
7. Vacuum the chamber
   1. Make sure the nitrogen venting valves are closed
   2. **Make sure the turbopump is not spinning anymore**
   3. When the turbopump has fully stopped, very slowly open the valve on top of the pump
   4. Fully open the valve **TODO: hier noch irgendwelche checks?**
   5. **Wait** until the vacuum is in the lower $10^{-2}$ range (read the value from the sensor attached to the turbopump)
   6. Only when this target pressure is reached, turn on the turbopump (control panel on top)
   7. Wait until the desired vacuum for measurement is reached (usually $10^{-5}$)
      - $10^{-4}$: **TODO**
      - $10^{-5}$: **TODO**
      - $10^{-6}$: after 1-2 days 
      
      If the pressure does not drop enough: Use isopropanol to inspect for leaks

## CPD Controller Calibration
**TODO**

This process is not always necessary.
1. Set CPD Controller to Manual, Offset=Gold Work Function, Filter off (so you can see what happens immediately), Oscillator to ~2
2. Move the micrometer screw close until a signal appears
3. Set Automatic offset so that the output is 0V
Calibration: Fresh graphite probe

## cpdctrl-gui Software
**TODO**
